API Reference
Add new transaction suspicious activities
/v2/transaction_suspicious_activity https://api.cable.tech Authentication
- Bearer token in the Authorization header
transaction_suspicious_activity:write
Request body
Transaction suspicious activity data to add.
-
suspicious_activity_idstring requiredUnique identifier for a suspicious activity belonging to a transaction. This is the primary key for a transaction suspicious activity and should be unique across all transaction suspicious activities. Updates to a transaction suspicious activity should be made using this identifier.
-
is_testbooleanSet to true if this is a test transaction suspicious activity
Default
false -
detection_datestring requiredTimestamp at which suspicious activity was detected on a transaction in ISO 8601 format. Use the actual detection time, not the current timestamp.
Format
date-time -
report_idstringUnique identifier for a transaction suspicious activity report for which the suspicious activity belongs to.
-
report_filed_atstringThe time the transaction suspicious activity report was filed in ISO 8601 format. Use the actual filing time, not the current timestamp.
Format
date-time -
related_tx_idslist of stringsUnique identifiers for transactions for which the suspicious activity relates to.
-
related_alert_idstringUnique identifier for a transaction alert for which the suspicious activity relates to.
-
timestampstring requiredWhen the suspicious activity was detected in your system, in ISO 8601 format.
Format
date-time
Responses
201 Transaction suspicious activity added successfully
-
successboolean requiredIndicates if the write operation was successful.
-
write_countinteger requiredThe number of records written to the database.
Format
int32 -
messagestring requiredProvides additional information about the operation result.
-
organization_idstring requiredThe organization ID for which the operation was performed.
Errors
- 400 Invalid transaction suspicious activity data
- 401 Unauthorized request
- 409 Transaction suspicious activity already exists
- 429 Rate limit exceeded
- 500 Server error
- default General error
-
codeinteger requiredFormat
int32 -
messagestring required -
errorslist of objectsDetailed information about errors in specific fields.
-
fieldstring -
messagestring
-